<?php
include "Zend/Loader.php";

// loading routing
Zend_Loader::loadClass('Zend_Controller_Router_Rewrite');
Zend_Loader::loadClass('Zend_Controller_Router_Route');

// loading main controllers
Zend_Loader::loadClass('Zend_Controller_Front');
Zend_Loader::loadClass('Zend_Controller_Action');

// loading XML config
Zend_Loader::loadClass('Zend_Config_Xml');

// loading registry
Zend_Loader::loadClass('Zend_Registry');

// loading database
Zend_Loader::loadClass('Zend_Db');
Zend_Loader::loadClass('Zend_Db_Table_Abstract');

// load configuration from XML
$config = new Zend_Config_Xml('./config/config.xml', 'common');

// load registry
$registry = Zend_Registry::getInstance();

// add configuration to registry
$registry->set('config', $config);

// setup database
$db = Zend_Db::factory($config->database->adapter, $config->database->config->toArray());
Zend_Db_Table_Abstract::setDefaultAdapter($db);

// Dispatch Request with custom base URL with Zend_Controller_Front.
$router = new Zend_Controller_Router_Rewrite();

// setup controller
$frontController = Zend_Controller_Front::getInstance();
$frontController->throwExceptions(true);
$frontController->setControllerDirectory('./application/controllers');
$frontController->setRouter($router);

// run!
$frontController->dispatch();
?>